<?php

namespace App\Entities\ComandaFechamento;

use App\Utils\Entity;

class ComandaFechamento extends Entity {
	protected $id;
	protected $comanda_id;
	protected $tipo_fechamento;
	protected $valor;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;

	public static function builder(): ComandaFechamentoBuilder {
		return (new ComandaFechamentoBuilder());
		
	}
	/**
	 *
	 * @return mixed
	 */
	public function getId(): int {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getComanda_id(): int {

		return $this->comanda_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTipo_fechamento(): string {

		return $this->tipo_fechamento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriado_por(): int {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_criacao(): string {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_criacao(): string {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizado_por() {

		return $this->atualizado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_atualizacao(): string {

		return $this->data_atualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_atualizacao(): string {

		return $this->hora_atualizacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id):void {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $comanda_id
	 */
	public function setComanda_id($comanda_id):void {

		$this->comanda_id = $comanda_id;

	}

	/**
	 *
	 * @param mixed $tipo_fechamento
	 */
	public function setTipo_fechamento($tipo_fechamento):void {

		$this->tipo_fechamento = $tipo_fechamento;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor):void {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por):void {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setData_criacao($data_criacao):void {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHora_criacao($hora_criacao):void {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por):void {

		$this->atualizado_por = $atualizado_por;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setData_atualizacao($data_atualizacao):void {

		$this->data_atualizacao = $data_atualizacao;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHora_atualizacao($hora_atualizacao):void {

		$this->hora_atualizacao = $hora_atualizacao;

	}
	

}
